Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.maven.plugins
[Java] Class MavenPublishPlugin

    java.lang.Object
      org.gradle.api.publish.maven.plugins.MavenPublishPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class MavenPublishPlugin

Adds the ability to publish in the Maven format to Maven repositories.

Since:
  1.4

Field Summary
`static String` | `PUBLISH_LOCAL_LIFECYCLE_TASK_NAME`

Constructor Summary
`MavenPublishPlugin(Instantiator instantiator, DependencyMetaDataProvider dependencyMetaDataProvider, FileResolver fileResolver, ModelRules modelRules)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

    public static final String PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

Constructor Detail

### MavenPublishPlugin

    @Inject
    public MavenPublishPlugin(Instantiator instantiator, DependencyMetaDataProvider dependencyMetaDataProvider, FileResolver fileResolver, ModelRules modelRules)

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10